> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token By Id

> Get a created token By Id



## OpenAPI

````yaml /openapi.yml get /api/v2/tokens/{tokenId}
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/tokens/{tokenId}:
    get:
      tags:
        - Tokenization
      summary: Get Token By Id
      description: Get a created token By Id
      operationId: api-tokenize-get-by-id
      parameters:
        - name: tokenId
          in: path
          description: The token identifier generated by Paybyrd.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/TokenResponseExample'
              schema:
                $ref: '#/components/schemas/TokenResponse'
      deprecated: false
components:
  examples:
    TokenResponseExample:
      value:
        tokenId: 512f2ebd-0256-423d-9d6f-433606c15f41
        customReference: Wallet123
        alias: MyPersonalCard1
        brand: MASTER
        expiration: 12/25
        maskedCardNumber: 514968******8886
  schemas:
    TokenResponse:
      type: object
      properties:
        tokenId:
          type: string
          description: The id of the token
          example: 5d3491c3-8978-4ff5-8d74-31b0b0499b01
        customReference:
          type: string
          description: >-
            The aggregated reference of the token (can be a walletId,
            customerId, etc...)
          example: Wallet123
        alias:
          type: string
          description: The Alias sent in the CardTokenizeRequest
          example: PersonalCard
        brand:
          type: string
          description: The brand of the card
          example: MASTER
        maskedCardNumber:
          type: string
          description: The masked card number
          example: 514968******8886
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````